Index: branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/TOP_SRC/TRP/trcnam_trp.F90
===================================================================
--- branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/TOP_SRC/TRP/trcnam_trp.F90	(revision 4146)
+++ branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/TOP_SRC/TRP/trcnam_trp.F90	(revision 4147)
@@ -15,4 +15,5 @@
    USE trc                 ! ocean passive tracers variables
    USE in_out_manager      ! ocean dynamics and active tracers variables
+   USE lib_mpp           ! distributed memory computing library
 
    IMPLICIT NONE
@@ -21,30 +22,30 @@
    PUBLIC   trc_nam_trp    ! routine called by step module
  
-   !                                                 !!: ** Advection (nam_trcadv) **
-   LOGICAL , PUBLIC ::   ln_trcadv_cen2   = .FALSE.   ! 2nd order centered scheme flag
-   LOGICAL , PUBLIC ::   ln_trcadv_tvd    = .TRUE.    ! TVD scheme flag
-   LOGICAL , PUBLIC ::   ln_trcadv_muscl  = .FALSE.   ! MUSCL scheme flag
-   LOGICAL , PUBLIC ::   ln_trcadv_muscl2 = .FALSE.   ! MUSCL2 scheme flag
-   LOGICAL , PUBLIC ::   ln_trcadv_ubs    = .FALSE.   ! UBS scheme flag
-   LOGICAL , PUBLIC ::   ln_trcadv_qck    = .FALSE.   ! QUICKEST scheme flag
-   LOGICAL , PUBLIC ::   ln_trcadv_msc_ups= .FALSE.   ! use upstream scheme within muscl
-
-
-   !                                                 !!: ** lateral mixing namelist (nam_trcldf) **
-   LOGICAL , PUBLIC ::   ln_trcldf_diff  = .FALSE.    !: flag of perform or not the lateral diff.
-   LOGICAL , PUBLIC ::   ln_trcldf_lap   = .TRUE.     !: laplacian operator
-   LOGICAL , PUBLIC ::   ln_trcldf_bilap = .FALSE.    !: bilaplacian operator
-   LOGICAL , PUBLIC ::   ln_trcldf_level = .FALSE.    !: iso-level direction
-   LOGICAL , PUBLIC ::   ln_trcldf_hor   = .FALSE.    !: horizontal (geopotential) direction
-   LOGICAL , PUBLIC ::   ln_trcldf_iso   = .TRUE.     !: iso-neutral direction
-   REAL(wp), PUBLIC ::   rn_ahtrc_0                   !: diffusivity coefficient for passive tracer (m2/s)
-   REAL(wp), PUBLIC ::   rn_ahtrb_0                   !: background diffusivity coefficient for passive tracer (m2/s)
-
-   !                                                 !!: ** Treatment of Negative concentrations ( nam_trcrad )
-   LOGICAL , PUBLIC ::   ln_trcrad       = .TRUE.     !: flag to artificially correct negative concentrations
-
-   !                                                 !!: ** Vertical diffusion (nam_trczdf) **
-   LOGICAL , PUBLIC ::   ln_trczdf_exp = .FALSE.      !: explicit vertical diffusion scheme flag
-   INTEGER , PUBLIC ::   nn_trczdf_exp = 3             !: number of sub-time step (explicit time stepping)
+   !                                        !!: ** Advection (namtrc_adv) **
+   LOGICAL , PUBLIC ::   ln_trcadv_cen2      ! 2nd order centered scheme flag
+   LOGICAL , PUBLIC ::   ln_trcadv_tvd       ! TVD scheme flag
+   LOGICAL , PUBLIC ::   ln_trcadv_muscl     ! MUSCL scheme flag
+   LOGICAL , PUBLIC ::   ln_trcadv_muscl2    ! MUSCL2 scheme flag
+   LOGICAL , PUBLIC ::   ln_trcadv_ubs       ! UBS scheme flag
+   LOGICAL , PUBLIC ::   ln_trcadv_qck       ! QUICKEST scheme flag
+   LOGICAL , PUBLIC ::   ln_trcadv_msc_ups   ! use upstream scheme within muscl
+
+
+   !                                        !!: ** lateral mixing namelist (nam_trcldf) **
+   LOGICAL , PUBLIC ::   ln_trcldf_diff      !: flag of perform or not the lateral diff.
+   LOGICAL , PUBLIC ::   ln_trcldf_lap       !: laplacian operator
+   LOGICAL , PUBLIC ::   ln_trcldf_bilap     !: bilaplacian operator
+   LOGICAL , PUBLIC ::   ln_trcldf_level     !: iso-level direction
+   LOGICAL , PUBLIC ::   ln_trcldf_hor       !: horizontal (geopotential) direction
+   LOGICAL , PUBLIC ::   ln_trcldf_iso       !: iso-neutral direction
+   REAL(wp), PUBLIC ::   rn_ahtrc_0          !: diffusivity coefficient for passive tracer (m2/s)
+   REAL(wp), PUBLIC ::   rn_ahtrb_0          !: background diffusivity coefficient for passive tracer (m2/s)
+
+   !                                        !!: ** Treatment of Negative concentrations ( nam_trcrad )
+   LOGICAL , PUBLIC ::   ln_trcrad           !: flag to artificially correct negative concentrations
+
+   !                                        !!: ** Vertical diffusion (nam_trczdf) **
+   LOGICAL , PUBLIC ::   ln_trczdf_exp       !: explicit vertical diffusion scheme flag
+   INTEGER , PUBLIC ::   nn_trczdf_exp       !: number of sub-time step (explicit time stepping)
 
 
@@ -73,4 +74,5 @@
       !! ** Purpose :   Read Namelist for tracer transport option
       !!----------------------------------------------------------------------
+      INTEGER ::  ios                 ! Local integer output status for namelist read
       NAMELIST/namtrc_adv/ ln_trcadv_cen2 , ln_trcadv_tvd   ,    &
          &                 ln_trcadv_muscl, ln_trcadv_muscl2,    &
@@ -92,6 +94,12 @@
       IF(lwp) WRITE(numout,*) ' ~~~~~~~~~~~'
 
-      REWIND ( numnat )               ! Read Namelist namtrc_adv : tracer advection scheme
-      READ   ( numnat, namtrc_adv )
+      REWIND( numnat_ref )              ! Namelist namtrc_adv in reference namelist : Tracer advection scheme
+      READ  ( numnat_ref, namtrc_adv, IOSTAT = ios, ERR = 901)
+901   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namtrc_adv in reference namelist', lwp )
+
+      REWIND( numnat_cfg )              ! Namelist namtrc_adv in configuration namelist : Tracer advection scheme
+      READ  ( numnat_cfg, namtrc_adv, IOSTAT = ios, ERR = 902 )
+902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namtrc_adv in configuration namelist', lwp )
+      WRITE ( numont, namtrc_adv )
 
       IF(lwp) THEN                    ! Namelist print
@@ -108,6 +116,12 @@
       ENDIF
       !
-      REWIND( numnat )                ! Namelist namtrc_ldf
-      READ  ( numnat, namtrc_ldf )
+      REWIND( numnat_ref )              ! Namelist namtrc_ldf in reference namelist : Tracer lateral diffusive operator
+      READ  ( numnat_ref, namtrc_ldf, IOSTAT = ios, ERR = 903)
+903   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namtrc_ldf in reference namelist', lwp )
+
+      REWIND( numnat_cfg )              ! Namelist namtrc_ldf in configuration namelist : Tracer lateral diffusive operator
+      READ  ( numnat_cfg, namtrc_ldf, IOSTAT = ios, ERR = 904 )
+904   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namtrc_ldf in configuration namelist', lwp )
+      WRITE ( numont, namtrc_ldf )
 
       IF(lwp) THEN                    ! Namelist print
@@ -127,6 +141,12 @@
 
       !                                ! Vertical mixing
-      REWIND( numnat )                 !   ! Read namtopzdf namelist
-      READ  ( numnat, namtrc_zdf )
+      REWIND( numnat_ref )              ! Namelist namtrc_zdf in reference namelist : Tracer vertical mixing
+      READ  ( numnat_ref, namtrc_zdf, IOSTAT = ios, ERR = 905)
+905   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namtrc_zdf in reference namelist', lwp )
+
+      REWIND( numnat_cfg )              ! Namelist namtrc_zdf in configuration namelist : Tracer vertical mixing
+      READ  ( numnat_cfg, namtrc_zdf, IOSTAT = ios, ERR = 906 )
+906   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namtrc_zdf in configuration namelist', lwp )
+      WRITE ( numont, namtrc_zdf )
 
       IF(lwp) THEN                     !   ! Control print
@@ -138,6 +158,12 @@
 
       !
-      REWIND( numnat )                 !   Read Namelist namtoprad
-      READ  ( numnat, namtrc_rad )
+      REWIND( numnat_ref )              ! Namelist namtrc_rad in reference namelist : Tracer negative concentrations
+      READ  ( numnat_ref, namtrc_rad, IOSTAT = ios, ERR = 907)
+907   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namtrc_rad in reference namelist', lwp )
+
+      REWIND( numnat_cfg )              ! Namelist namtrc_rad in configuration namelist : Tracer negative concentrations
+      READ  ( numnat_cfg, namtrc_rad, IOSTAT = ios, ERR = 908 )
+908   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namtrc_rad in configuration namelist', lwp )
+      WRITE ( numont, namtrc_rad )
 
       IF(lwp) THEN                     !   ! Control print
@@ -149,6 +175,13 @@
 
 # if defined key_trcdmp
-      REWIND ( numnat )                  ! Read Namelist namtra_dmp : temperature and salinity damping term
-      READ   ( numnat, namtrc_dmp )
+      REWIND( numnat_ref )              ! Namelist namtrc_dmp in reference namelist : Passive tracers newtonian damping
+      READ  ( numnat_ref, namtrc_dmp, IOSTAT = ios, ERR = 909)
+909   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namtrc_dmp in reference namelist', lwp )
+
+      REWIND( numnat_cfg )              ! Namelist namtrc_dmp in configuration namelist : Passive tracers newtonian damping
+      READ  ( numnat_cfg, namtrc_dmp, IOSTAT = ios, ERR = 910)
+910   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namtrc_dmp in configuration namelist', lwp )
+      WRITE ( numont, namtrc_dmp )
+
       IF( lzoom )   nn_zdmp_trc = 0           ! restoring to climatology at closed north or south boundaries
 
Index: branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/TOP_SRC/TRP/trdmld_trc.F90
===================================================================
--- branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/TOP_SRC/TRP/trdmld_trc.F90	(revision 4146)
+++ branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/TOP_SRC/TRP/trdmld_trc.F90	(revision 4147)
@@ -434,15 +434,15 @@
       ENDIF
 
-#if ! defined key_gyre
+      IF ( cp_cfg .NE. 'gyre' ) THEN            ! other than GYRE configuration
       ! GYRE : for diagnostic fields, are needed if cyclic B.C. are present, but not for purely MPI comm. 
       ! therefore we do not call lbc_lnk in GYRE config. (closed basin, no cyclic B.C.)
-      DO jn = 1, jptra
-         IF( ln_trdtrc(jn) ) THEN
-            DO jl = 1, jpltrd_trc
-               CALL lbc_lnk( tmltrd_trc(:,:,jl,jn), 'T', 1. )        ! lateral boundary conditions
-            END DO
-         ENDIF
-      END DO
-#endif
+         DO jn = 1, jptra
+            IF( ln_trdtrc(jn) ) THEN
+               DO jl = 1, jpltrd_trc
+                  CALL lbc_lnk( tmltrd_trc(:,:,jl,jn), 'T', 1. )        ! lateral boundary conditions
+               END DO
+            ENDIF
+         END DO
+      ENDIF
       ! ======================================================================
       ! II. Cumulate the trends over the analysis window
@@ -573,10 +573,9 @@
                
          !-- Lateral boundary conditions
-#if ! defined key_gyre
-
-               CALL lbc_lnk( ztmltot(:,:,jn) , 'T', 1. )   ;   CALL lbc_lnk( ztmlres(:,:,jn) , 'T', 1. )
-               CALL lbc_lnk( ztmlatf(:,:,jn) , 'T', 1. )   ;   CALL lbc_lnk( ztmlrad(:,:,jn) , 'T', 1. )
-
-#endif
+               IF ( cp_cfg .NE. 'gyre' ) THEN
+                  CALL lbc_lnk( ztmltot(:,:,jn) , 'T', 1. )   ;   CALL lbc_lnk( ztmlres(:,:,jn) , 'T', 1. )
+                  CALL lbc_lnk( ztmlatf(:,:,jn) , 'T', 1. )   ;   CALL lbc_lnk( ztmlrad(:,:,jn) , 'T', 1. )
+               ENDIF
+
 
 #if defined key_diainstant
@@ -624,12 +623,13 @@
                   &                                               + tmltrd_rad_sumb_trc(:,:,jn)
 
-         !-- Lateral boundary conditions
-#if ! defined key_gyre         
-               CALL lbc_lnk( ztmltot2(:,:,jn), 'T', 1. )
-               CALL lbc_lnk( ztmlres2(:,:,jn), 'T', 1. )
-               DO jl = 1, jpltrd_trc
-                  CALL lbc_lnk( ztmltrd2(:,:,jl,jn), 'T', 1. )       ! will be output in the NetCDF trends file
-               END DO
-#endif
+         !-- Lateral boundary conditions 
+               IF ( cp_cfg .NE. 'gyre' ) THEN            ! other than GYRE configuration    
+                  CALL lbc_lnk( ztmltot2(:,:,jn), 'T', 1. )
+                  CALL lbc_lnk( ztmlres2(:,:,jn), 'T', 1. )
+                  DO jl = 1, jpltrd_trc
+                     CALL lbc_lnk( ztmltrd2(:,:,jl,jn), 'T', 1. )       ! will be output in the NetCDF trends file
+                  END DO
+               ENDIF
+
             ENDIF
          END DO
@@ -1009,10 +1009,11 @@
 
          !-- Lateral boundary conditions
-#if ! defined key_gyre
-         ! ES_B27_CD_WARN : lbc inutile GYRE, cf. + haut
-         DO jn = 1, jpdiabio
-           CALL lbc_lnk( ztmltrdbio2(:,:,jn), 'T', 1. )
-         ENDDO
-#endif
+         IF ( cp_cfg .NE. 'gyre' ) THEN            ! other than GYRE configuration 
+            ! ES_B27_CD_WARN : lbc inutile GYRE, cf. + haut
+            DO jn = 1, jpdiabio
+              CALL lbc_lnk( ztmltrdbio2(:,:,jn), 'T', 1. )
+            ENDDO
+         ENDIF
+
          IF( lldebug ) THEN
             !
@@ -1273,5 +1274,5 @@
       ! -----------------------------------------
       IF( ln_mskland )   THEN   ;   clop = "only(x)"   ! put 1.e+20 on land (very expensive!!)
-      ELSE                      ;   clop = "x"         ! no use of the mask value (require less cpu time)
+      ELSE                      ;   clop = "x"         ! no use of the mask value (require less cp time)
       ENDIF
 #  if defined key_diainstant
Index: branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/TOP_SRC/oce_trc.F90
===================================================================
--- branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/TOP_SRC/oce_trc.F90	(revision 4146)
+++ branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/TOP_SRC/oce_trc.F90	(revision 4147)
@@ -13,8 +13,4 @@
 
    !* Domain size *
-   USE par_oce , ONLY :   cp_cfg   =>   cp_cfg     !: name of the configuration
-   USE par_oce , ONLY :   jp_cfg   =>   jp_cfg     !: resolution of the configuration
-   USE par_oce , ONLY :   jpiglo   =>   jpiglo     !: first  dimension of global domain --> i
-   USE par_oce , ONLY :   jpjglo   =>   jpjglo     !: second dimension of global domain --> j
    USE par_oce , ONLY :   jpi      =>   jpi        !: first  dimension of grid --> i 
    USE par_oce , ONLY :   jpj      =>   jpj        !: second dimension of grid --> j  
@@ -24,7 +20,4 @@
    USE par_oce , ONLY :   jpkm1    =>   jpkm1      !: jpk - 1  
    USE par_oce , ONLY :   jpij     =>   jpij       !: jpi x jpj
-   USE par_oce , ONLY :   jpidta   =>   jpidta     !: first horizontal dimension  > or = jpi
-   USE par_oce , ONLY :   jpjdta   =>   jpjdta     !: second horizontal dimension > or = jpj
-   USE par_oce , ONLY :   jpkdta   =>   jpkdta     !: number of levels            > or = jpk
    USE par_oce , ONLY :   lk_esopa =>   lk_esopa   !: flag to activate the all option
    USE par_oce , ONLY :   jp_tem   =>   jp_tem     !: indice for temperature
Index: branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/TOP_SRC/trc.F90
===================================================================
--- branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/TOP_SRC/trc.F90	(revision 4146)
+++ branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/TOP_SRC/trc.F90	(revision 4147)
@@ -21,6 +21,8 @@
 
    !! parameters for the control of passive tracers
-   !! --------------------------------------------------
-   INTEGER, PUBLIC                                                 ::   numnat        !: logicla unit for the passive tracer NAMELIST
+   !! ---------------------------------------------   
+   INTEGER, PUBLIC                                                 ::   numnat_ref = -1   !: logical unit for the reference passive tracer namelist_top_ref
+   INTEGER, PUBLIC                                                 ::   numnat_cfg = -1   !: logical unit for the reference passive tracer namelist_top_cfg
+   INTEGER, PUBLIC                                                 ::   numont     = -1   !: logical unit for the reference passive tracer namelist output output.namelist.top
    INTEGER, PUBLIC                                                 ::   numstr        !: logical unit for tracer statistics
    INTEGER, PUBLIC                                                 ::   numrtr        !: logical unit for trc restart (read )
Index: branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/TOP_SRC/trcdta.F90
===================================================================
--- branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/TOP_SRC/trcdta.F90	(revision 4146)
+++ branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/TOP_SRC/trcdta.F90	(revision 4147)
@@ -53,13 +53,14 @@
       !!----------------------------------------------------------------------
       !
-      INTEGER            :: jl, jn                   ! dummy loop indicies
+      INTEGER            :: jl, jn                           ! dummy loop indicies
       INTEGER            :: ierr0, ierr1, ierr2, ierr3       ! temporary integers
+      INTEGER            :: ios                              ! Local integer output status for namelist read
       CHARACTER(len=100) :: clndta, clntrc
       REAL(wp)           :: zfact
       !
-      CHARACTER(len=100) :: cn_dir
+      CHARACTER(len=100)            :: cn_dir
       TYPE(FLD_N), DIMENSION(jptra) :: slf_i     ! array of namelist informations on the fields to read
       TYPE(FLD_N), DIMENSION(jptra) :: sn_trcdta
-      REAL(wp)   , DIMENSION(jptra) :: rn_trfac    ! multiplicative factor for tracer values
+      REAL(wp)   , DIMENSION(jptra) :: rn_trfac  ! multiplicative factor for tracer values
       !!
       NAMELIST/namtrc_dta/ sn_trcdta, cn_dir, rn_trfac 
@@ -90,7 +91,5 @@
          WRITE(numout,*) ' '
       ENDIF
-      !                         ! allocate the arrays (if necessary)
-      !
-      cn_dir  = './'            ! directory in which the model is executed
+      !
       DO jn = 1, jptra
          WRITE( clndta,'("TR_",I1)' ) jn
@@ -103,6 +102,12 @@
       END DO
       !
-      REWIND( numnat )               ! read nattrc
-      READ  ( numnat, namtrc_dta )
+      REWIND( numnat_ref )              ! Namelist namtrc_dta in reference namelist : Passive tracer input data
+      READ  ( numnat_ref, namtrc_dta, IOSTAT = ios, ERR = 901)
+901   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namtrc_dta in reference namelist', lwp )
+
+      REWIND( numnat_cfg )              ! Namelist namtrc_dta in configuration namelist : Passive tracer input data
+      READ  ( numnat_cfg, namtrc_dta, IOSTAT = ios, ERR = 902 )
+902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namtrc_dta in configuration namelist', lwp )
+      WRITE ( numont, namtrc_dta )
 
       IF( lwp ) THEN
Index: branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/TOP_SRC/trcnam.F90
===================================================================
--- branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/TOP_SRC/trcnam.F90	(revision 4146)
+++ branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/TOP_SRC/trcnam.F90	(revision 4147)
@@ -55,4 +55,5 @@
       !!---------------------------------------------------------------------
       INTEGER ::  jn, ierr
+      INTEGER ::  ios                 ! Local integer output status for namelist read
       ! Definition of a tracer as a structure
       TYPE(PTRACER), DIMENSION(jptra) :: sn_tracer  ! type of tracer for saving if not key_iomput
@@ -73,29 +74,16 @@
       IF(lwp) WRITE(numout,*) '~~~~~~~'
 
-      CALL ctl_opn( numnat, 'namelist_top', 'OLD', 'FORMATTED', 'SEQUENTIAL', 1, numout, .FALSE. )
-
-      ! Namelist nattrc (files)
-      ! ----------------------------------------------
-      nn_dttrc      = 1                 ! default values
-      nn_writetrc   = 10 
-      ln_top_euler  = .FALSE.
-      ln_rsttr      = .FALSE.
-      nn_rsttr      =  0
-      cn_trcrst_in  = 'restart_trc'
-      cn_trcrst_out = 'restart_trc'
-      !
-      DO jn = 1, jptra
-         WRITE( sn_tracer(jn)%clsname,'("TR_",I1)'           ) jn
-         WRITE( sn_tracer(jn)%cllname,'("TRACER NUMBER ",I1)') jn
-         sn_tracer(jn)%clunit  = 'mmole/m3'
-         sn_tracer(jn)%llinit  = .FALSE.
-         sn_tracer(jn)%llsave  = .TRUE.
-      END DO
-      ln_trcdta = .FALSE.
-      ln_trcdmp = .FALSE.
-
-
-      REWIND( numnat )               ! read nattrc
-      READ  ( numnat, namtrc )
+      CALL ctl_opn( numnat_ref, 'namelist_top_ref'   , 'OLD'    , 'FORMATTED', 'SEQUENTIAL', 1, numout, .FALSE. )
+      CALL ctl_opn( numnat_cfg, 'namelist_top_cfg'   , 'OLD'    , 'FORMATTED', 'SEQUENTIAL', 1, numout, .FALSE. )
+      CALL ctl_opn( numont    , 'output.namelist.top', 'REPLACE', 'FORMATTED', 'SEQUENTIAL',-1, numout, .FALSE. )
+
+      REWIND( numnat_ref )              ! Namelist namtrc in reference namelist : Passive tracer variables
+      READ  ( numnat_ref, namtrc, IOSTAT = ios, ERR = 901)
+901   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namtrc in reference namelist', lwp )
+
+      REWIND( numnat_cfg )              ! Namelist namtrc in configuration namelist : Passive tracer variables
+      READ  ( numnat_cfg, namtrc, IOSTAT = ios, ERR = 902 )
+902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namtrc in configuration namelist', lwp )
+      WRITE ( numont, namtrc )
 
       DO jn = 1, jptra
@@ -137,11 +125,12 @@
       ENDIF
 
-      ln_diatrc = .FALSE.
-      ln_diabio = .FALSE.
-      nn_writedia = 10
-      nn_writebio = 10
-
-      REWIND( numnat )               !  namelist namtoptrd : passive tracer trends diagnostic
-      READ  ( numnat, namtrc_dia )
+      REWIND( numnat_ref )              ! Namelist namtrc_dia in reference namelist : Passive tracer diagnostics
+      READ  ( numnat_ref, namtrc_dia, IOSTAT = ios, ERR = 903)
+903   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namtrc_dia in reference namelist', lwp )
+
+      REWIND( numnat_cfg )              ! Namelist namtrc_dia in configuration namelist : Passive tracer diagnostics
+      READ  ( numnat_cfg, namtrc_dia, IOSTAT = ios, ERR = 904 )
+904   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namtrc_dia in configuration namelist', lwp )
+      WRITE ( numont, namtrc_dia )
 
       IF(lwp) THEN
@@ -212,15 +201,13 @@
 
 #if defined key_trdmld_trc || defined key_trdtrc
-         nn_trd_trc  = 20
-         nn_ctls_trc =  9
-         rn_ucf_trc   =  1.
-         ln_trdmld_trc_instant = .TRUE.
-         ln_trdmld_trc_restart =.FALSE.
-         cn_trdrst_trc_in  = "restart_mld_trc"
-         cn_trdrst_trc_out = "restart_mld_trc"
-         ln_trdtrc(:) = .FALSE.
-
-         REWIND( numnat )               !  namelist namtoptrd : passive tracer trends diagnostic
-         READ  ( numnat, namtrc_trd )
+
+         REWIND( numnat_ref )              ! Namelist namtrc_trd in reference namelist : Passive tracer trends
+         READ  ( numnat_ref, namtrc_trd, IOSTAT = ios, ERR = 905)
+905      IF( ios /= 0 ) CALL ctl_nam ( ios , 'namtrc_trd in reference namelist', lwp )
+
+         REWIND( numnat_cfg )              ! Namelist namtrc_trd in configuration namelist : Passive tracer trends
+         READ  ( numnat_cfg, namtrc_trd, IOSTAT = ios, ERR = 906 )
+906      IF( ios /= 0 ) CALL ctl_nam ( ios , 'namtrc_trd in configuration namelist', lwp )
+         WRITE ( numont, namtrc_trd )
 
          IF(lwp) THEN
Index: branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/TOP_SRC/trcstp.F90
===================================================================
--- branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/TOP_SRC/trcstp.F90	(revision 4146)
+++ branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/TOP_SRC/trcstp.F90	(revision 4147)
@@ -84,5 +84,8 @@
                                    CALL trc_sms      ( kt )       ! tracers: sinks and sources
                                    CALL trc_trp      ( kt )       ! transport of passive tracers
-         IF( kt == nittrc000 )     CALL iom_close( numrtr )       ! close input tracer restart file
+         IF( kt == nittrc000 ) THEN
+            CALL iom_close( numrtr )       ! close input tracer restart file
+            CALL FLUSH    ( numont )       ! flush namelist output
+         ENDIF
          IF( lrst_trc )            CALL trc_rst_wri  ( kt )       ! write tracer restart file
          IF( lk_trdmld_trc  )      CALL trd_mld_trc  ( kt )       ! trends: Mixed-layer
Index: branches/2013/dev_LOCEAN_2013/NEMOGCM/SETTE/BATCH_TEMPLATE/batch-X64_CURIE
===================================================================
--- branches/2013/dev_LOCEAN_2013/NEMOGCM/SETTE/BATCH_TEMPLATE/batch-X64_CURIE	(revision 4146)
+++ branches/2013/dev_LOCEAN_2013/NEMOGCM/SETTE/BATCH_TEMPLATE/batch-X64_CURIE	(revision 4147)
@@ -22,5 +22,5 @@
 # Local settings for machine BULL (TITANE at CCRT France)
 #
-export MPIRUN="ccc_mprun -np $OCEANCORES"
+export MPIRUN="mpirun -np $OCEANCORES"
 
 #
@@ -31,5 +31,8 @@
 
 # modules to load
-module load netcdf
+module unload netcdf
+module unload hdf5
+module load netcdf/4.2_hdf5_parallel
+module load hdf5/1.8.9_parallel
 
 # Don't remove neither change the following line
Index: branches/2013/dev_LOCEAN_2013/NEMOGCM/SETTE/BATCH_TEMPLATE/batch-macport_osx
===================================================================
--- branches/2013/dev_LOCEAN_2013/NEMOGCM/SETTE/BATCH_TEMPLATE/batch-macport_osx	(revision 4147)
+++ branches/2013/dev_LOCEAN_2013/NEMOGCM/SETTE/BATCH_TEMPLATE/batch-macport_osx	(revision 4147)
@@ -0,0 +1,81 @@
+#!/bin/bash 
+#!
+# @ job_name = MPI_config
+# standard output file  
+# @ output = $(job_name).$(jobid)
+# standard error file
+# @ error =  $(job_name).$(jobid)
+# job type
+# @ job_type = parallel
+# Number of procs 
+# @ total_tasks = NPROCS
+# time
+# @ wall_clock_limit = 0:30:00
+# @ queue
+
+#
+# Test specific settings. Do not hand edit these lines; the fcm_job.sh script will set these
+# (via sed operating on this template job file). 
+#
+  OCEANCORES=NPROCS
+  export SETTE_DIR=DEF_SETTE_DIR
+
+###############################################################
+#
+# set up mpp computing environment
+#
+# Local settings for machine mac osx using macport
+#
+export MPIRUN="mpirun -np $OCEANCORES"
+
+#
+# load sette functions (only post_test_tidyup needed)
+#
+  . ${SETTE_DIR}/all_functions.sh
+
+# Don't remove neither change the following comment line
+# BODY
+
+
+#
+# These variables are needed by post_test_tidyup function in all_functions.sh
+#
+  export EXE_DIR=DEF_EXE_DIR
+  export INPUT_DIR=DEF_INPUT_DIR
+  export CONFIG_DIR=DEF_CONFIG_DIR
+  export NEMO_VALIDATION_DIR=DEF_NEMO_VALIDATION
+  export NEW_CONF=DEF_NEW_CONF
+  export CMP_NAM=DEF_CMP_NAM
+  export TEST_NAME=DEF_TEST_NAME
+#
+# end of set up
+
+
+###############################################################
+#
+# change to the working directory 
+#
+cd ${EXE_DIR}
+
+  echo Running on host `hostname`
+  echo Time is `date`
+  echo Directory is `pwd`
+# 
+#  Run the parallel MPI executable 
+#
+  if [ MPI_FLAG == "yes" ]; then
+  echo "Running time ${MPIRUN} ./opa"
+     time ${MPIRUN} ./opa
+  else
+  echo "Running time./opa"
+     time ./opa
+  fi
+
+
+#
+  post_test_tidyup
+
+# END_BODY
+# Don't remove neither change the previous comment line
+
+  exit
Index: branches/2013/dev_LOCEAN_2013/NEMOGCM/SETTE/all_functions.sh
===================================================================
--- branches/2013/dev_LOCEAN_2013/NEMOGCM/SETTE/all_functions.sh	(revision 4146)
+++ branches/2013/dev_LOCEAN_2013/NEMOGCM/SETTE/all_functions.sh	(revision 4147)
@@ -111,12 +111,36 @@
 	if [ ${#VAR_NAME} -eq 0 ] 
 	then
-		echo "doing \"set_namelist $@\". "
-		echo "variable: \"$2\" is empty"
-		echo "control that variable $2 is in \"${EXE_DIR}/$1\" "
-		echo "exit"
-		echo "error in executing script : set_namelist $@" >> ${SETTE_DIR}/output.sette
-		echo "....." >> ${SETTE_DIR}/output.sette
-		exit 1
+		echo "doing \"set_namelist $@\". "  >> ${SETTE_DIR}/output.sette
+		echo "variable: \"$2\" not found in \"${EXE_DIR}/$1\" "  >> ${SETTE_DIR}/output.sette
+                NAMREF=$( basename $1 _cfg )_ref
+		echo "doing more : search in ${EXE_DIR}/$NAMREF " >> ${SETTE_DIR}/output.sette
+                VAR_NAME=$( supergrep $2 ${EXE_DIR}/$NAMREF )
+	        if [ ${#VAR_NAME} -eq 0 ] 
+	        then
+                    echo " variable $VAR_NAME not found in ${EXE_DIR}/$1 nor in ${EXE_DIR}/$NAMREF "
+                    echo " check your variable name "
+        		echo "exit"
+	        	echo "error in executing script : set_namelist $@" >> ${SETTE_DIR}/output.sette
+	        	echo "....." >> ${SETTE_DIR}/output.sette
+        		exit 1
+                fi
+                LINEVAR=$( grep -s -n "$VAR_NAME" ${EXE_DIR}/$NAMREF | awk -F: '{ { print $1} }' )
+                echo " $VAR_NAME found in ${EXE_DIR}/$NAMREF at line $LINEVAR " >> ${SETTE_DIR}/output.sette
+#   search for namelist group name
+                NAMGRP=$( head -n$LINEVAR ${EXE_DIR}/$NAMREF | grep --line-buffered "^&nam" | tail -1 | awk -F" " '{ { print $1} }' ) 
+                echo " variable $VAR_NAME will be added in $NAMGRP namelist-group of namelist file ${EXE_DIR}/$1 " >> ${SETTE_DIR}/output.sette
+# Add $VARNAME in namelist file ${EXE_DIR}/$1 in namelist group $NAMGRP
+# on mac osx, replace sed --posix by gsed (available with mac port)
+set -vx 
+                sed --posix "/${NAMGRP} /a\ ${VAR_NAME} " ${EXE_DIR}/$1 > ${EXE_DIR}/$1.tmp || gsed --posix "/${NAMGRP} /a\ ${VAR_NAME} " ${EXE_DIR}/$1 > ${EXE_DIR}/$1.tmp
+set +vx
+# if file not empty replace ${EXE_DIR}/$1
+                if [ -s ${EXE_DIR}/$1.tmp ] ; then
+                   mv ${EXE_DIR}/$1.tmp ${EXE_DIR}/$1 
+                else
+                echo "file ${EXE_DIR}/$1.tmp is empty. sed command went wrong "; exit 200
+                fi
 	fi
+
         sed -e "s:${VAR_NAME}.*:${VAR_NAME}:" ${EXE_DIR}/$1 > ${EXE_DIR}/$1.tmp
         mv ${EXE_DIR}/$1.tmp ${EXE_DIR}/$1
@@ -151,4 +175,10 @@
 ################################################################
 # SMALL DEBUG
+    if [ ! -r ${EXE_DIR}/ocean.output ]
+        then
+        grep "E R R O R" ${EXE_DIR}/ocean.output && echo "Some ERRORS at execution time, see ${EXE_DIR}/ocean.output"
+        exit 2
+    fi
+
     if [ ! -r ${EXE_DIR}/time.step ]
         then
@@ -158,6 +188,7 @@
     else
         echo "file time.step exists"  >> ${SETTE_DIR}/output.sette
-        echo "ok model run"   >> ${SETTE_DIR}/output.sette
-    fi
+        echo "execution of model time step loop started"   >> ${SETTE_DIR}/output.sette
+    fi
+
 ################################################################
 
@@ -191,7 +222,9 @@
     echo "saving ocean & ice output, solver.stat, tracer.stat files ...." >> ${SETTE_DIR}/output.sette
     echo "            " >> ${SETTE_DIR}/output.sette
-    [ -f ${EXE_DIR}/*ocean.output ] && cp ${EXE_DIR}/*ocean.output ${NEMO_VALID}/.
-    [ -f ${EXE_DIR}/*solver.stat ] && cp ${EXE_DIR}/*solver.stat ${NEMO_VALID}/.
-    [ -f ${EXE_DIR}/*tracer.stat ] && cp ${EXE_DIR}/*tracer.stat ${NEMO_VALID}/.
+    [ -f ${EXE_DIR}/ocean.output ] && cp ${EXE_DIR}/*ocean.output ${NEMO_VALID}/.
+    [ -f ${EXE_DIR}/solver.stat ] && cp ${EXE_DIR}/*solver.stat ${NEMO_VALID}/.
+    [ -f ${EXE_DIR}/output.namelist.dyn ] && cp ${EXE_DIR}/*output.nam* ${NEMO_VALID}/.
+    [ -f ${EXE_DIR}/tracer.stat ] && cp ${EXE_DIR}/*tracer.stat ${NEMO_VALID}/.
+
     if [ -n "$(ls ${NEMO_VALID}/*solver*)" ] ; then
 	echo "moved solver.stat in ${NEMO_VALID} directory"  >> ${SETTE_DIR}/output.sette
Index: branches/2013/dev_LOCEAN_2013/NEMOGCM/SETTE/input_AMM12.cfg
===================================================================
--- branches/2013/dev_LOCEAN_2013/NEMOGCM/SETTE/input_AMM12.cfg	(revision 4146)
+++ branches/2013/dev_LOCEAN_2013/NEMOGCM/SETTE/input_AMM12.cfg	(revision 4147)
@@ -1,1 +1,1 @@
-amm12_inputs_v3_4_spinup.tar 
+AMM12_v3.5.tar AMM12.v3_5
Index: branches/2013/dev_LOCEAN_2013/NEMOGCM/SETTE/input_ORCA2_LIM.cfg
===================================================================
--- branches/2013/dev_LOCEAN_2013/NEMOGCM/SETTE/input_ORCA2_LIM.cfg	(revision 4146)
+++ branches/2013/dev_LOCEAN_2013/NEMOGCM/SETTE/input_ORCA2_LIM.cfg	(revision 4147)
@@ -1,1 +1,1 @@
-ORCA2_LIM_nemo_v3.4.tar
+ORCA2_LIM_nemo_v3.4.tar ORCA2_LIM_nemo_v3.4
Index: branches/2013/dev_LOCEAN_2013/NEMOGCM/SETTE/input_ORCA2_LIM_AGRIF.cfg
===================================================================
--- branches/2013/dev_LOCEAN_2013/NEMOGCM/SETTE/input_ORCA2_LIM_AGRIF.cfg	(revision 4146)
+++ branches/2013/dev_LOCEAN_2013/NEMOGCM/SETTE/input_ORCA2_LIM_AGRIF.cfg	(revision 4147)
@@ -1,1 +1,1 @@
-ORCA2_LIM_nemo_v3.4.tar
+ORCA2_LIM_nemo_v3.4.tar ORCA2_LIM_nemo_v3.4
